/**
 * \file
 *
 * \brief SSD1306 fonts.
 *
 * Copyright (c) 2014-2015 Atmel Corporation. All rights reserved.
 *
 * \asf_license_start
 *
 * \page License
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *
 * 3. The name of Atmel may not be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * 4. This software may only be redistributed and used in connection with an
 *    Atmel microcontroller product.
 *
 * THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
 * EXPRESSLY AND SPECIFICALLY DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * \asf_license_stop
 *
 */
/*
 * Support and FAQ: visit <a href="http://www.atmel.com/design-support/">Atmel Support</a>
 */

//#include "compiler.h"
#include "iotiny817.h"
#include "font.h"
#include "stdint.h"
#include "stddef.h"
/*===================================*/
/*========= Characters data =========*/
/*===================================*/


/**  0x30 - 48  - '0'  **/
const  uint8_t Font08px_N0[5] = {
	bits2bytes(0,1,1,1,1,1,0,0),
	bits2bytes(1,0,0,0,1,0,1,0),
	bits2bytes(1,0,0,1,0,0,1,0),
	bits2bytes(1,0,1,0,0,0,1,0),
	bits2bytes(0,1,1,1,1,1,0,0)};

/**  0x31 - 49  - '1'  **/
const  uint8_t Font08px_N1[5] = {
	bits2bytes(0,0,0,0,0,0,0,0),
	bits2bytes(1,0,0,0,0,0,0,0),
	bits2bytes(1,1,1,1,1,1,1,0),
	bits2bytes(1,0,0,0,0,1,0,0),
	bits2bytes(0,0,0,0,0,0,0,0)};

/**  0x32 - 50  - '2'  **/
const  uint8_t Font08px_N2[5] = {
	bits2bytes(1,0,0,0,1,1,0,0),
	bits2bytes(1,0,0,1,0,0,1,0),
	bits2bytes(1,0,1,0,0,0,1,0),
	bits2bytes(1,1,0,0,0,0,1,0),
	bits2bytes(1,0,0,0,0,1,0,0)};

/**  0x33 - 51  - '3'  **/
const  uint8_t Font08px_N3[5] = {
	bits2bytes(0,1,1,0,1,1,0,0),
	bits2bytes(1,0,0,1,0,0,1,0),
	bits2bytes(1,0,0,1,0,0,1,0),
	bits2bytes(1,0,0,0,0,0,1,0),
	bits2bytes(0,1,0,0,0,1,0,0)};

/**  0x34 - 52  - '4'  **/
const  uint8_t Font08px_N4[5] = {
	bits2bytes(0,0,1,0,0,0,0,0),
	bits2bytes(1,1,1,1,1,1,1,0),
	bits2bytes(0,0,1,0,0,1,0,0),
	bits2bytes(0,0,1,0,1,0,0,0),
	bits2bytes(0,0,1,1,0,0,0,0)};

/**  0x35 - 53  - '5'  **/
const  uint8_t Font08px_N5[5] = {
	bits2bytes(0,1,1,1,0,0,1,0),
	bits2bytes(1,0,0,0,1,0,1,0),
	bits2bytes(1,0,0,0,1,0,1,0),
	bits2bytes(1,0,0,0,1,0,1,0),
	bits2bytes(0,1,0,1,1,1,1,0)};

/**  0x36 - 54  - '6'  **/
const  uint8_t Font08px_N6[5] = {
	bits2bytes(0,1,1,0,0,1,0,0),
	bits2bytes(1,0,0,1,0,0,1,0),
	bits2bytes(1,0,0,1,0,0,1,0),
	bits2bytes(1,0,0,1,0,0,1,0),
	bits2bytes(0,1,1,1,1,1,0,0)};

/**  0x37 - 55  - '7'  **/
const  uint8_t Font08px_N7[5] = {
	bits2bytes(0,0,0,0,0,1,1,0),
	bits2bytes(0,0,0,0,1,0,1,0),
	bits2bytes(1,1,1,1,0,0,1,0),
	bits2bytes(0,0,0,0,0,0,1,0),
	bits2bytes(0,0,0,0,0,0,1,0)};

/**  0x38 - 56  - '8'  **/
const  uint8_t Font08px_N8[5] = {
	bits2bytes(0,1,1,0,1,1,0,0),
	bits2bytes(1,0,0,1,0,0,1,0),
	bits2bytes(1,0,0,1,0,0,1,0),
	bits2bytes(1,0,0,1,0,0,1,0),
	bits2bytes(0,1,1,0,1,1,0,0)};

/**  0x39 - 57  - '9'  **/
const  uint8_t Font08px_N9[5] = {
	bits2bytes(0,1,1,1,1,1,0,0),
	bits2bytes(1,0,0,1,0,0,1,0),
	bits2bytes(1,0,0,1,0,0,1,0),
	bits2bytes(1,0,0,1,0,0,1,0),
	bits2bytes(0,1,0,0,1,1,0,0)};

/**  0x63 - 99  - 'c'  **/
const  uint8_t Font08px_lc[4] = {
	bits2bytes(0,1,1,1,0,0,0,0),
	bits2bytes(1,0,0,0,1,0,0,0),
	bits2bytes(1,0,0,0,1,0,0,0),
	bits2bytes(1,0,0,0,1,0,0,0)};

/**  0x6D - 109 - 'm'  **/
const  uint8_t Font08px_lm[5] = {
	bits2bytes(1,1,1,1,1,0,0,0),
	bits2bytes(0,0,0,0,1,0,0,0),
	bits2bytes(1,1,1,1,0,0,0,0),
	bits2bytes(0,0,0,0,1,0,0,0),
	bits2bytes(1,1,1,1,0,0,0,0)};



/*============================================*/
/*========= Character pointers table =========*/
/*============================================*/

const uint8_t *font_table[] = {
	Font08px_N0,
	Font08px_N1,
	Font08px_N2,
	Font08px_N3,
	Font08px_N4,
	Font08px_N5,
	Font08px_N6,
	Font08px_N7,
	Font08px_N8,
	Font08px_N9,
	//Font08px_lc,
	//Font08px_lm,
};